/*
 * com_ericsson_cba.h
 *
 *  Created on: 2011-11-28
 *      Author: lmctdlt
 */
 
#undef TRACEPOINT_PROVIDER
#define TRACEPOINT_PROVIDER com_ericsson_cba

#undef TRACEPOINT_INCLUDE_FILE
#define TRACEPOINT_INCLUDE_FILE ./com_ericsson_cba.h

#if !defined(_COM_ERICSSON_CBA_H) || defined(TRACEPOINT_HEADER_MULTI_READ)
#define _COM_ERICSSON_CBA_H

#ifdef __cplusplus
extern "C" {
#endif

#include <lttng/tracepoint.h>


TRACEPOINT_EVENT(com_ericsson_cba, cba_domain_event,
                 TP_ARGS( const char *, my_Time,
                          int,         OnePs,                 // var OnePs
                          const char*, my_ProgramInfo,         // used to idientify from which program it is from
                          int, incrementMe
                          ),
                 TP_FIELDS(ctf_string(my_Time, my_Time)
                           ctf_string(CallingFrom,my_ProgramInfo) 
                           ctf_integer(int, OnePs_in_Integer, OnePs)
                           ctf_integer_hex(int, OnePs_in_Hex, OnePs)
                           ctf_integer(int, incrementMe, ++incrementMe)
                          )
)
TRACEPOINT_LOGLEVEL(com_ericsson_cba, cba_domain_event, TRACE_ERR)

TRACEPOINT_EVENT(com_ericsson_cba, AfterAllLoops,
                 TP_ARGS( int,  incrementMe
                          ),
                 TP_FIELDS(ctf_integer(int, incrementMe, ++incrementMe)
                          )
)
TRACEPOINT_LOGLEVEL(com_ericsson_cba, AfterAllLoops, TRACE_ERR)


#endif /* _COM_ERICSSON_CBA_H */

/* This part must be outside protection */
#include <lttng/tracepoint-event.h>

#ifdef __cplusplus 
}
#endif
