/*
 * com_ericsson_cba_trace.h
 *
 *  Created on: 2011-11-08
 *      Author: lmctdlt
 */
 
#undef TRACEPOINT_PROVIDER
#define TRACEPOINT_PROVIDER com_ericsson_cba_trace

#if !defined(_COM_ERICSSON_CBA_TRACE_H) || defined(TRACEPOINT_HEADER_MULTI_READ)
#define _COM_ERICSSON_CBA_TRACE_H

#ifdef __cplusplus
extern "C" {
#endif

#include <lttng/tracepoint.h>


TRACEPOINT_EVENT(com_ericsson_cba_trace, trace_domain_event,
                 TP_ARGS( const char *, my_Time,
                          int,         OnePs ,                // var OnePs
                          const char*, my_ProgramInfo,        // used to idientify from which program it is from
                          long *,      My_LongArray,           // var My_LongArray
                          size_t,      ArrayLength,             // Number of elelements in My_LongArray
                          char *,      text,
                          size_t,      TextLength
                          ),
                 TP_FIELDS(ctf_string(my_Time, my_Time)
                           ctf_string(CallingFrom,my_ProgramInfo) 
                           ctf_integer(int, OnePs, OnePs)
                           ctf_array(long, Using_Array, My_LongArray, 2)                         // use ctf_array method to print first 2 elements of My_LongArray
                           ctf_sequence(long, Using_sequence, My_LongArray, size_t,ArrayLength ) // use ctf_sequence method to print "all" elements of My_LongArray
                           ctf_array(char, array, text, 2)                                       // printout: [0]=104, [1]=101
                           ctf_array_text(char, array_text, text, 2)                             // printout: "he"   (note that array text = "hello")
                          )
)

TRACEPOINT_LOGLEVEL(com_ericsson_cba_trace, trace_domain_event, TRACE_WARNING)

#endif /* _COM_ERICSSON_CBA_TRACE_H */

#undef TRACEPOINT_INCLUDE_FILE
#define TRACEPOINT_INCLUDE_FILE ./com_ericsson_cba_trace.h

/* This part must be outside protection */
#include <lttng/tracepoint-event.h>

#ifdef __cplusplus 
}
#endif
